Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-dev
On Mon, 2003-05-12 at 21:45, Matthias Liertzer wrote:
> Tried to bootstrap using the new baselayout and it failed, because the new
> baselayout needs gawk now. So we probably need to add the gawk package to the
> bootstrap.sh script or simply to stage 1.
>
Right. To be honest, I have not yet tested it with a bootstrap, and
this is the first that do not install the bash versions of awkified
scripts anymore.
This patch should fix it:
-----------------------------------------------------------
Index: baselayout-1.8.6.7.ebuild
===================================================================
RCS file:
/home/cvsroot/gentoo-x86/sys-apps/baselayout/baselayout-1.8.6.7.ebuild,v
retrieving revision 1.1
diff -u -r1.1 baselayout-1.8.6.7.ebuild
--- baselayout-1.8.6.7.ebuild 11 May 2003 23:59:05 -0000 1.1
+++ baselayout-1.8.6.7.ebuild 12 May 2003 21:26:33 -0000
@@ -109,21 +109,24 @@
emake CC="${CC:-gcc}" LD="${CC:-gcc}" \
LDFLAGS="" || die "problem compiling sysvinit"
- # We let gawk now install filefuncs.so, and that is as a symlink to a
- # versioned .so ...
- if [ -f /usr/include/awk/awk.h -a ! -L
${ROOT}/lib/rcscripts/filefuncs.so ]
+ if [ -z "`use bootstrap`" ]
then
- # Build gawk module
-# cd ${S}/src/filefuncs
-# einfo "Building awk module..."
-# make CC="${CC:-gcc}" LD="${CC:-gcc}" || {
-# eerror "Failed to build gawk module. Make sure you have"
-# eerror "sys-apps/gawk-3.1.1-r1 or later installed"
-# die "problem compiling gawk module"
-# }
+ # We let gawk now install filefuncs.so, and that is as a symlink to
a
+ # versioned .so ...
+ if [ -f /usr/include/awk/awk.h -a ! -L
${ROOT}/lib/rcscripts/filefuncs.so ]
+ then
+ # Build gawk module
+# cd ${S}/src/filefuncs
+# einfo "Building awk module..."
+# make CC="${CC:-gcc}" LD="${CC:-gcc}" || {
+# eerror "Failed to build gawk module. Make sure you have"
+# eerror "sys-apps/gawk-3.1.1-r1 or later installed"
+# die "problem compiling gawk module"
+# }
- eerror "Please install sys-apps/gawk-3.1.1-r2 or later!"
- die "gawk too old"
+ eerror "Please install sys-apps/gawk-3.1.1-r2 or later!"
+ die "gawk too old"
+ fi
fi
fi
}
@@ -300,7 +303,7 @@
# if 'build' or 'bootstrap' is not in USE. This will
# change if we have sys-apps/gawk-3.1.1-r1 or later in
# the build image ...
- if [ -z "`use build`" -a -z "`use bootstrap`" ]
+ if [ -z "`use build`" ]
then
# This is for new depscan and rc-envupdate.sh
# written in awk
--
Martin Schlemmer
Gentoo Linux Developer, Desktop/System Team Developer
Cape Town, South Africa
|
| Attachment: |
|
signature.asc (This is a digitally signed message part)
|
|